summaryrefslogtreecommitdiff
path: root/tests/endpoints.sh
diff options
context:
space:
mode:
authorGravatar Benjamin Barenblat <bbaren@mit.edu>2020-05-31 18:29:03 -0400
committerGravatar Benjamin Barenblat <bbaren@mit.edu>2020-05-31 18:29:03 -0400
commit6cc104634ef64be3be88c1fccbe98208d95d8a1a (patch)
tree9001e5333e808808125978a52669a8bff3639438 /tests/endpoints.sh
parent82fde07cef0e41b700b9a30137562eb05f2f2c6d (diff)
parentc2f1e1096f602b1cbd4531352f3e1ea6d656a186 (diff)
Merge branch 'dfsg_clean'
Diffstat (limited to 'tests/endpoints.sh')
-rwxr-xr-xtests/endpoints.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/endpoints.sh b/tests/endpoints.sh
new file mode 100755
index 00000000..1d3289a5
--- /dev/null
+++ b/tests/endpoints.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+TEST=endpoints
+TESTPID=/tmp/$TEST.pid
+TESTENDPOINTS=/tmp/$TEST.json
+TESTSRV=./$TEST.exe
+
+rm -f $TESTENDPOINTS $TESTPID $TESTSRV
+../bin/urweb -debug -boot -noEmacs -endpoints $TESTENDPOINTS "$TEST" || exit 1
+
+$TESTSRV -q -a 127.0.0.1 &
+echo $! >> $TESTPID
+sleep 1
+python3 $TEST.py
+kill `cat $TESTPID`